inputData = load( "test.dat" );
x = inputData( : , 1 );
y = inputData( : , 2 );
P = polyfit(x,y,10);
W = wpolyfit(x,y,10);
N = polyfit(x,y,10, true);
yp = polyval(P,x);
yw = polyval(W,x);
yn = polyval(N,x);


printf("norm difference with normal polyfit: \t%f\n", norm(yp-y));
printf("norm difference with wpolyfit: \t\t%f\n", norm(yw-y));
printf("norm difference with new polyfit: \t%f\n", norm(yn-y));


